const int ledPin = 13;
const int soundPin = A0;
int threshold = 200;
int delayPeriod = 100;

boolean indicator = false;
int soundLevel = 0;

void setup() {
  Serial.begin(9600);
  pinMode(ledPin, OUTPUT);
}

void loop() {
  soundLevel = analogRead(soundPin);
  if (soundLevel >= threshold) {
    indicator = !indicator;
    digitalWrite(ledPin, indicator);
    Serial.println(soundLevel, DEC);
    delay(delayPeriod);
  }
}
