const int inputPin = A1;   // Analog 1; DC out (EQ pin 3)
const int strobePin = 3;   // D3; Strobe (EQ pin 4)
const int resetPin = 4;    // D4; Reset {EQ pin 7)

int audio[7];              // Array for EQ values

void setup() {
  Serial.begin(9600);
  pinMode(inputPin, INPUT);
  pinMode(strobePin, OUTPUT);
  pinMode(resetPin, OUTPUT);
  digitalWrite(resetPin, LOW);
  digitalWrite(strobePin, HIGH);
}

void loop() {
  digitalWrite(resetPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(resetPin, LOW);
  for (int i = 0; i < 7; i++)  {
    digitalWrite(strobePin, LOW);
    delayMicroseconds(40);
    audio[i] = analogRead(inputPin);
    digitalWrite(strobePin, HIGH);
    delayMicroseconds(40);
    Serial.print(audio[i], DEC);
    Serial.print("\t");
  }
   Serial.println();
   delay(250);
}

//63, 160, 400, 1k, 2.5k, 6.25k, 16k
